description

# SocketDirection class Null safety

The SocketDirection is used as a parameter to Socket.close and RawSocket.close to close a socket in the specified direction(s).

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

BOTH → const SocketDirection
  @Deprecated("Use both instead")
  `both`
both → const SocketDirection
  `const SocketDirection._(2)`
RECEIVE → const SocketDirection
  @Deprecated("Use receive instead")
  `receive`
receive → const SocketDirection
  `const SocketDirection._(0)`
SEND → const SocketDirection
  @Deprecated("Use send instead")
  `send`
send → const SocketDirection
  `const SocketDirection._(1)`